aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBruno Oliveira <brunotc@gmail.com>2014-08-04 11:49:11 -0300
committerBruno Oliveira <brunotc@gmail.com>2014-08-04 11:49:11 -0300
commitd25c21a938258860fccd0dbabc09d6cd07a8dd0c (patch)
treec59e044a6cb7eff841036c59a5f2fd76fdf111d9
parentb9631146b1acdea4f6bb510eae5a3ce3438c2357 (diff)
parentb5149168b9e22a59a67b7b0355caee0199971833 (diff)
downloadiosched-d25c21a938258860fccd0dbabc09d6cd07a8dd0c.tar.gz
Merge pull request #18 from tjohns/master
Restore scripts/wait_for_emulator.sh
-rwxr-xr-xscripts/wait_for_emulator.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/wait_for_emulator.sh b/scripts/wait_for_emulator.sh
new file mode 100755
index 0000000..3178838
--- /dev/null
+++ b/scripts/wait_for_emulator.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+bootanim=""
+failcounter=0
+until [[ "$bootanim" =~ "stopped" ]]; do
+ bootanim=`adb -e shell getprop init.svc.bootanim 2>&1`
+ echo "$bootanim"
+ if [[ "$bootanim" =~ "not found" ]]; then
+ let "failcounter += 1"
+ if [[ $failcounter -gt 3 ]]; then
+ echo "Failed to start emulator"
+ exit 1
+ fi
+ fi
+ sleep 1
+done
+echo "Done"